local t = Def.ActorFrame {
	LoadFont("", "_helvetica") .. {
		Text="SM" ..ProductVersion();
		OnCommand=cmd(x,SCREEN_RIGHT-10;y,SCREEN_TOP+16;horizalign,right;zoom,0.8);
	};
	LoadFont("", "_helvetica") .. {
		OnCommand=cmd(x,SCREEN_LEFT+8;y,SCREEN_TOP+16;horizalign,left;zoom,0.9;playcommand,"Set");
		SetCommand=function(self)
			local fmt = THEME:GetString( "ScreenTitleMenu", "%d songs in %d groups, %d courses in %d groups" )
			local text = string.format( fmt, SONGMAN:GetNumSongs(), SONGMAN:GetNumSongGroups(), SONGMAN:GetNumCourses(), SONGMAN:GetNumCourseGroups() )

			if PREFSMAN:GetPreference("UseUnlockSystem") then
				text = text .. string.format(", %d unlocks", UNLOCKMAN:GetNumUnlocks() )
			end
			self:settext( text );
			self:sleep(3);
			self:decelerate(1);
			self:zoomx(0);
		end;
	};
	LoadActor("_cube "..GAMESTATE:GetCurrentGame():GetName()) .. {
		InitCommand=cmd(x,SCREEN_LEFT+22;y,SCREEN_TOP+42;SetTextureFiltering,false);
		OnCommand=cmd(sleep,3;decelerate,1;addy,-22;queuecommand,"Spin");
		SpinCommand=cmd(addy,4;spin;effectmagnitude,80,80,0);
	};
}

return t;
